DRM_CONNECTOR_INIT(9)

NAME
drm_connector_init - Init a preallocated connector

SYNOPSIS

int drm_connector_init(struct drm_device * dev, struct drm_connector * connector, const struct drm_connector_funcs * funcs, int connector_type);

ARGUMENTS

dev
    DRM device

connector
    the connector to init

funcs
    callbacks for this connector

connector_type
    user visible type of the connector

DESCRIPTION

Initialises a preallocated connector. Connectors should be subclassed as part of driver connector objects.

RETURNS

Zero on success, error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT